package com.example.mathseduc.viewModel

import androidx.lifecycle.ViewModel
import com.example.mathseduc.controllers.ControllerLobby
import com.example.mathseduc.models.Lobby
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.update
class ServerDetailsViewModel : ViewModel() {

    private var lobbyListState = MutableStateFlow<List<Lobby>>(emptyList())
    val lobbyList : StateFlow<List<Lobby>> = lobbyListState

    fun updateLobbyList() {
        this.lobbyListState.update {
            ControllerLobby.getLobbies() ?: emptyList()
        }
    }

    fun getNbPlayerInLobby(selectedItem : Lobby) : Int {
        return ControllerLobby.getNbPlayerInLobby(selectedItem!!.id)
    }
}